## vitrage 13.0.1

=== debian/changelog ===
vitrage (13.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Mon, 20 Oct 2025 14:27:41 +0000

vitrage (13.0.0-7) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 13:06:17 +0200

vitrage (13.0.0-6) unstable; urgency=medium

  * Switch back to python3-pysnmp4.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 11:56:02 +0100

vitrage (13.0.0-5) unstable; urgency=medium

  * Add Multi-Arch: foreign for the -doc package.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 15:26:00 +0100

vitrage (13.0.0-4) unstable; urgency=medium

  * Switch -doc to bootstrap 5 (Closes: #1088536).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Dec 2024 10:39:24 +0100

vitrage (13.0.0-3) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:45:20 +0100

vitrage (13.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090707).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:00:37 +0100

vitrage (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:27:37 +0200

vitrage (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:31:25 +0200

vitrage (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * autopkgtest: blacklist test_create_update_entity_vertex.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:14:19 +0200

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-hacking,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-sympy,
 python3-tenacity,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-vitrageclient,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-werkzeug,
 python3-yaml,
 python3-zake,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
Homepage: https://github.com/openstack/vitrage.git

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sympy,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

## vitrage 14.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
alembic>=0.9.8  # MIT
cachetools>=2.0.1 # MIT License
cryptography>=2.7 # BSD/Apache-2.0
lxml>=4.5.2 # BSD
PyMySQL>=0.8.0 # MIT License
python-dateutil>=2.7.0 # BSD
networkx>=2.4 # BSD
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.messaging>=5.36.0 # Apache-2.0
oslo.middleware>=3.35.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
pecan>=1.2.1 # BSD
PasteDeploy>=1.5.2 # MIT
Werkzeug>=0.14.1 # BSD License
keystonemiddleware>=4.21.0 # Apache-2.0
stevedore>=1.28.0 # Apache-2.0
voluptuous>=0.11.1 # BSD License
SQLAlchemy>=1.2.5 # MIT
sympy>=1.1.1 # BSD
pysnmp-lextudio>=5.0.0  # BSD
PyJWT>=1.6.0 # MIT
osprofiler>=2.0.0 # Apache-2.0
keystoneauth1>=3.6.2 # Apache-2.0
PyYAML>=5.1 # MIT
requests>=2.20.0 # Apache-2.0
WebOb>=1.7.4 # MIT
eventlet!=0.20.1,>=0.20.0 # MIT
debtcollector>=1.19.0 # Apache-2.0
cotyledon>=1.6.8 # Apache-2.0
pytz>=2018.3 # MIT
tenacity>=4.12.0
tooz>=1.58.0 # Apache-2.0
psutil>=5.4.3 # BSD
jsonschema>=3.2.0 # MIT

=== debian/changelog ===
vitrage (14.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 08:47:12 -0700

vitrage (13.0.0+git2025030311.880acca8-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:25:51 +0000

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.8),
 python3-aodhclient (>= 1.0.0),
 python3-babel (>= 2.5.3),
 python3-cachetools (>= 2.0.1),
 python3-cotyledon (>= 1.6.8),
 python3-cryptography (>= 2.7),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.20.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.14.0),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.0),
 python3-keystoneauth1 (>= 3.6.2),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.2),
 python3-mistralclient (>= 1:3.3.0),
 python3-monascaclient (>= 1.7.1),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.middleware (>= 3.35.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslotest (>= 1:3.3.0),
 python3-osprofiler (>= 2.0.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pecan (>= 1.2.1),
 python3-psutil (>= 5.4.3),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp-lextudio (>= 5.0.0),
 python3-pyzabbix (>= 0.7.4),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.20.0),
 python3-requests-mock (>= 1.4.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-subunit (>= 1.2.0),
 python3-sympy (>= 1.1.1),
 python3-tenacity (>= 4.12.0),
 python3-testrepository,
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient,
 python3-voluptuous (>= 0.11.1),
 python3-webob (>= 1:1.7.4),
 python3-webtest (>=  3.0.0),
 python3-werkzeug (>= 0.14.1),
 python3-yaml (>= 5.1),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.2.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vitrage
Homepage: https://opendev.org/openstack/vitrage

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-alembic (>= 0.9.8),
 python3-aodhclient (>= 1.0.0),
 python3-babel (>= 2.5.3),
 python3-cachetools (>= 2.0.1),
 python3-cotyledon (>= 1.6.8),
 python3-cryptography (>= 2.7),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-eventlet (>= 0.20.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-heatclient (>= 1.14.0),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.0),
 python3-keystoneauth1 (>= 3.6.2),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.2),
 python3-mistralclient (>= 1:3.3.0),
 python3-monascaclient (>= 1.7.1),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.middleware (>= 3.35.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-osprofiler (>= 2.0.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.2.1),
 python3-psutil (>= 5.4.3),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp-lextudio (>= 5.0.0),
 python3-pyzabbix (>= 0.7.4),
 python3-requests (>= 2.20.0),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.28.0),
 python3-sympy (>= 1.1.1),
 python3-tenacity (>= 4.12.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2018.3),
 python3-voluptuous (>= 0.11.1),
 python3-webob (>= 1:1.7.4),
 python3-werkzeug (>= 0.14.1),
 python3-yaml (>= 5.1),
 python3-zaqarclient (>= 1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/vitrage/ vitrage-(14\.\d.*)\.tar\.gz

## vitrage 14.0.0+git2025070714.aafc997e

=== debian/changelog ===
vitrage (14.0.0+git2025070714.aafc997e-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * Flamingo feature freeze exception. (LP: #2121258)
  * d/control: Add python3-tz to fix database unit test issue.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 14:27:56 -0700

=== debian/control ===
--- 
+++ 
@@ -59,6 +59,7 @@
  python3-psutil (>= 5.4.3),
  python3-pymysql (>= 0.8.0),
  python3-pysnmp-lextudio (>= 5.0.0),
+ python3-tz (>= 2018.3),
  python3-pyzabbix (>= 0.7.4),
  python3-reno (>= 2.11.2),
  python3-requests (>= 2.20.0),

## vitrage 14.0.1

=== debian/changelog ===
vitrage (14.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Mon, 20 Oct 2025 14:26:20 +0000

vitrage (14.0.0-4) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:28:56 +0200

vitrage (14.0.0-3) unstable; urgency=medium

  * Fix autopkgtest test selection regex.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Apr 2025 10:23:10 +0200

vitrage (14.0.0-2) unstable; urgency=medium

  * Add remove-pysnmp-lextudio-from-requirements.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Apr 2025 10:08:58 +0200

vitrage (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:01:07 +0200

vitrage (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:07:00 +0100

vitrage (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to python3-pysnmp, not the lextudio version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 10:26:33 +0100

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-hacking,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-sympy,
 python3-tenacity,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-vitrageclient,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-werkzeug,
 python3-yaml,
 python3-zake,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/vitrage
Vcs-Git: https://salsa.debian.org/openstack-team/services/vitrage.git
Homepage: https://github.com/openstack/vitrage.git

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-alembic,
 python3-cachetools,
 python3-cotyledon,
 python3-cryptography,
 python3-dateutil,
 python3-debtcollector,
 python3-eventlet,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-networkx,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sympy,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

## vitrage 15.0.0~rc1

=== debian/changelog ===
vitrage (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:14:00 +0200

vitrage (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed remove-pysnmp-lextudio-from-requirements.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 10:38:08 +0200

## vitrage 15.0.0

=== doc/requirements.txt ===
oslo.config>=5.2.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
docutils>=0.11  # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
vitrage (15.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Thu, 02 Oct 2025 09:58:17 -0700

vitrage (15.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/revert-Replace-pysnmp-lextudio-with-pysnmp.patch: Revert
    change to pysnmp4 7.1.0 until that version is mature and available
    in Ubuntu.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 13:39:12 -0700

=== debian/control ===
Source: vitrage
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.8),
 python3-aodhclient (>= 1.0.0),
 python3-babel (>= 2.5.3),
 python3-cachetools (>= 2.0.1),
 python3-cotyledon (>= 1.6.8),
 python3-cryptography (>= 2.7),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-docutils (>= 0.11),
 python3-eventlet (>= 0.20.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.14.0),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.0),
 python3-keystoneauth1 (>= 3.6.2),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.2),
 python3-mistralclient (>= 1:3.3.0),
 python3-monascaclient (>= 1.7.1),
 python3-networkx (>= 2.8.8),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.middleware (>= 3.35.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslotest (>= 1:3.3.0),
 python3-osprofiler (>= 2.0.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pecan (>= 1.2.1),
 python3-psutil (>= 5.4.3),
 python3-pyasyncore (>= 1.0.2),
 python3-pymysql (>= 0.8.0),
 python3-pysnmp4 (>= 4.4.12),
 python3-tz (>= 2018.3),
 python3-pyzabbix (>= 0.7.4),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.20.0),
 python3-requests-mock (>= 1.4.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-subunit (>= 1.2.0),
 python3-sympy (>= 1.1.1),
 python3-tenacity (>= 4.12.0),
 python3-testrepository,
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-vitrageclient,
 python3-voluptuous (>= 0.11.1),
 python3-webob (>= 1:1.7.4),
 python3-webtest (>=  3.0.0),
 python3-werkzeug (>= 0.14.1),
 python3-yaml (>= 5.1),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.2.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vitrage
Homepage: https://opendev.org/openstack/vitrage

Package: python3-vitrage
Section: python
Architecture: all
Depends:
 python3-alembic (>= 0.9.8),
 python3-aodhclient (>= 1.0.0),
 python3-babel (>= 2.5.3),
 python3-cachetools (>= 2.0.1),
 python3-cotyledon (>= 1.6.8),
 python3-cryptography (>= 2.7),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-eventlet (>= 0.20.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-heatclient (>= 1.14.0),
 python3-jsonschema (>= 3.2.0),
 python3-jwt (>= 1.6.0),
 python3-keystoneauth1 (>= 3.6.2),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.2),
 python3-mistralclient (>= 1:3.3.0),
 python3-monascaclient (>= 1.7.1),
 python3-networkx (>= 2.8.8),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.12.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.middleware (>= 3.35.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-osprofiler (>= 2.0.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.2.1),
 python3-psutil (>= 5.4.3),
 python3-pymysql (>= 0.8.0),
 python3-pyzabbix (>= 0.7.4),
 python3-requests (>= 2.20.0),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.28.0),
 python3-sympy (>= 1.1.1),
 python3-tenacity (>= 4.12.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2018.3),
 python3-voluptuous (>= 0.11.1),
 python3-webob (>= 1:1.7.4),
 python3-werkzeug (>= 0.14.1),
 python3-yaml (>= 5.1),
 python3-zaqarclient (>= 1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Python libs
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the Python libraries.

Package: vitrage-api
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - API server
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides the REST API server.

Package: vitrage-collector
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Collector service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Collector service.

Package: vitrage-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-vitrage (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack RCA as a Service - metapackage
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package is a metapackage that helps installing all of Vitrage at once.

Package: vitrage-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack RCA as a Service - documentation
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package contains the documentation.

Package: vitrage-graph
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Graph service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Graph service.

Package: vitrage-ml
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Machine Learning Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Machine learning service.

Package: vitrage-notifier
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Notifier Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Notifier service.

Package: vitrage-persistor
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - Persistor Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage Persistor Service.

Package: vitrage-snmp-parsing
Architecture: all
Depends:
 adduser,
 python3-vitrage (= ${binary:Version}),
 vitrage-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack RCA as a Service - SNMP Parsing Service
 Vitrage provides a root cause analysis service, which is used for analyzing
 the topology and alarms of the cloud, and providing insights about it.
 .
 This package provides Vitrage SNMP Parsing Service.

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

export PYBUILD_NAME=vitrage

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	find . -name '*.db' -delete
	rm -rf .eggs
	rm -rf build
	rm -f ChangeLog AUTHORS
	rm -f doc/source/_static/vitrage.conf.sample
	rm -f etc/vitrage/policy.yaml.sample
	rm -f debian/vitrage-common.postinst debian/vitrage-common.config debian/vitrage-api.config debian/vitrage-api.postinst debian/vitrage-common.postrm
	rm -f debian/*.templates
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func vitrage-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm vitrage-common.postrm
	pkgos-merge-templates vitrage-api vitrage endpoint
	pkgos-merge-templates vitrage-common vitrage db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --no-parallel 'vitrage\.tests\.unit(?!(.*evaluator\.test_scenario_repository\.ScenarioRepositoryTest.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_regex_with_exact_match.*|.*evaluator\.template_validation\.test_template_validator_v3\.TemplateValidatorV3Test.*|.*evaluator\.template_loading\.test_template_loading_v3\.TemplateLoaderV3Test.*|.*evaluator\.test_template_loader\.TemplateLoaderTest\.test_basic_template_with_include.*|.*datasources\.collectd\.test_collectd_transformer\.TestCollectdTransformer\.test_create_update_entity_vertex.*|.*evaluator\.test_scenario_repository\.RegExTemplateTest\.test_basic_regex_with_no_match.*))'
endif

	# Generate configs
	mkdir -p $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-config-generator.conf \
	        --output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf \
	        --wrap-width 140
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--config-file $(CURDIR)/etc/vitrage/vitrage-policy-generator.conf \
		--output-file $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/policy.json \
		--format json
	pkgos-fix-config-default $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/vitrage.conf oslo_concurrency lock_path /var/lock/vitrage

	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values
	mkdir -p $(CURDIR)/debian/vitrage-common/etc/vitrage/static_datasources
	cp -av $(CURDIR)/etc/vitrage/api-paste.ini $(CURDIR)/debian/vitrage-common/usr/share/vitrage-common/api-paste.ini
	cp -av $(CURDIR)/etc/vitrage/datasources_values/* $(CURDIR)/debian/vitrage-common/etc/vitrage/datasources_values/


	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/vitrage-doc/usr/share/doc/vitrage-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/vitrage/ vitrage-(\d{1,2}\.\d.*)\.tar\.gz

## vitrage 15.0.0+git20250930.3.5b57e2b3

=== debian/changelog ===
vitrage (15.0.0+git20250930.3.5b57e2b3-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * New upstream version 15.0.0+git20250930.3.5b57e2b3
  * d/patches/*: refresh patches
  * New upstream snapshot from 5b57e2b32a6d02992a28d9a671ebba5e308fd141
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/revert-Replace-pysnmp-lextudio-with-pysnmp.patch: Drop, 7.1.0 is in
    Resolute.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 23 Jan 2026 14:59:33 -0800

=== debian/watch ===
version=4
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/vitrage/ vitrage-(\d{1,2}\.\d.*)\.tar\.gz
